Sign in to follow this  
morninboner

What mods can I use together?

Recommended Posts

Hello guys! I am apologize for my english and for this question maybe someone already asked it before.

Anyway after years I decided to play KOTOR series again. For KOTOR 1 I dowloaded 65 mods (Inqluding restoration project) and the game ran perfectly with about 62 mods. Now after I finished with KOTOR 1 I want to start KOTOR 2 but it was long time ago I played this game and the problem is I dont know which mods I can use together. Can somebody write or give me the screen of folder for mods (maybe there some person like me who have special folder for good mods for good game). 😃
 

By the way since I started this topic I have second question. What do you think after KOTOR 1-2 can I start SW TOR for the story? Is it worth a try? I just want to get full story of old republic 😃

2.jpg

Share this post


Link to post
Share on other sites

For builds for KotOR1 and KotOR2, I  would recommend these builds.

For SWTOR, as a large portion of the story is free to play, there's no good reason not to sample it! But please go through my link when starting?

  • Like 1

Share this post


Link to post
Share on other sites

Generally speaking, any mod uploaded to Deadly Stream within the last few years will be compatible with TSLRCM. (Though a mod may say it's not because that's the default setting and an update to the site a while back nuked the settings back to their defaults.) Everybody around here assumes the vast majority of the audience is going to want to play with TSLRCM installed, so there is no point in uploading a mod that's not compatible with it.

Any mods that pre-date TSLRCM should be assumed incompatible. That accounts for the majority of GameFront's archives, and whatever of that is still on the Nexus. Purely aesthetic mods like minor texture changes and maybe some head mods may be safe, so long as they're not editing any UT* or DLG files.

Unfortunately, a lot of older mods, such as the Ultimate Saber Mod, are not safe at all and the authors are long gone. We're in the process of troubleshooting and patching some of them via Deadly Stream's abandonware policy, but progress is slow.

When in doubt, pick whatever you like from Singgles' builds and what's explicitly marked as compatible with TSLRCM here. At least within TSLRCM's sphere of influence, most of the compatibility issues have been worked out. So long as the mods don't obviously do the same thing and use TSLPatcher where appropriate, they're probably be compatible.

 

  • Like 1

Share this post


Link to post
Share on other sites
On 7/11/2019 at 10:11 PM, Sith Holocron said:

For builds for KotOR1 and KotOR2, I  would recommend these builds.

For SWTOR, as a large portion of the story is free to play, there's no good reason not to sample it! But please go through my link when starting?

Thank you! I will go through after I am done with KOTOR 2. Maybe it will take some time, but I will do it 😃
 

 

21 hours ago, JCarter426 said:

Generally speaking, any mod uploaded to Deadly Stream within the last few years will be compatible with TSLRCM. (Though a mod may say it's not because that's the default setting and an update to the site a while back nuked the settings back to their defaults.) Everybody around here assumes the vast majority of the audience is going to want to play with TSLRCM installed, so there is no point in uploading a mod that's not compatible with it.

Any mods that pre-date TSLRCM should be assumed incompatible. That accounts for the majority of GameFront's archives, and whatever of that is still on the Nexus. Purely aesthetic mods like minor texture changes and maybe some head mods may be safe, so long as they're not editing any UT* or DLG files.

Unfortunately, a lot of older mods, such as the Ultimate Saber Mod, are not safe at all and the authors are long gone. We're in the process of troubleshooting and patching some of them via Deadly Stream's abandonware policy, but progress is slow.

When in doubt, pick whatever you like from Singgles' builds and what's explicitly marked as compatible with TSLRCM here. At least within TSLRCM's sphere of influence, most of the compatibility issues have been worked out. So long as the mods don't obviously do the same thing and use TSLPatcher where appropriate, they're probably be compatible.

 

Thank you too! You gave the information that will help me 😃

Feels like not long ago I played KOTOR 2 last time and downloaded mods for it from here, but damn... it was years ago! Good to see that you are still here ❤️

  • Like 1

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this